Main Page

- Main Page
- Related Pages
- Files

- File List
- Globals

Functions
sig.c File Reference

Go to the source code of this file.

## Functions
void | signal_watch_start (int signo)
void | signal_watch_stop (int signo)
int | signal_has_occurred (int signo)
void | signal_reset (int signo)

## Detailed Description

Public interface to signal handlers.

This module provides a way for the simulator to process signals generated by the native host system. Note that these signals in this context have nothing to do with signals or interrupts as far as a program running in the simulator is concerned.

Definition in file sig.c.

## Function Documentation

void signal_watch_start | ( | int | signo | ) |

Start watching for the occurrance of the given signal.

This function will install a signal handler which will set a flag when the signal occurs. Once the watch has been started, periodically call signal_has_occurred() to check if the signal was raised.

Definition at line 67 of file sig.c.

References avr_warning.

Referenced by avr_core_run(), and gdb_interact().

void signal_watch_stop | ( | int | signo | ) |

Stop watching signal.

Restores the default signal handler for the given signal and resets the signal flag.

Definition at line 97 of file sig.c.

References avr_warning, and signal_reset().

Referenced by avr_core_run(), and gdb_interact().

int signal_has_occurred | ( | int | signo | ) |

Check to see if a signal has occurred.

Returns
  Non-zero if signal has occurred. The flag will always be reset automatically.

Definition at line 119 of file sig.c.

References avr_warning.

Referenced by avr_core_run(), gdb_interact(), and signal_reset().

void signal_reset | ( | int | signo | ) |

Clear the flag which indicates that a signal has ocurred.

Use signal_reset to manually reset (i.e. clear) the flag.

Definition at line 142 of file sig.c.

References signal_has_occurred().

Referenced by signal_watch_stop().

Automatically generated by Doxygen 1.8.2 on Mon Aug 18 2014.